All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
version.hpp File Reference
`#include <uhd/config.hpp>`
`#include <string>`

Go to the source code of this file.

## Namespaces

namespace | uhd

## Macros

#define | UHD_VERSION_ABI_STRING "3.4.0-0"

## Functions

UHD_API std::string | uhd::get_version_string (void)
| Get the version string (dotted version number + build info) More...
UHD_API std::string | uhd::get_abi_string (void)
| Get the ABI compatibility string for this build of the library. More...

## Macro Definition Documentation

#define UHD_VERSION_ABI_STRING "3.4.0-0"

The ABI version string that the client application builds against. Call get_abi_string() to check this against the library build. The format is oldest API compatible release - ABI compat number. The compatibility number allows pre-release ABI to be versioned.